import os
import json

def get_json_from_file(fh):
    contents = ""
    for line in fh:
        cleanedLine = line.split("//", 1)[0]
        if len(cleanedLine) > 0 and line.endswith("\n") and "\n" not in cleanedLine:
            cleanedLine += "\n"
        contents += cleanedLine
    fh.close
    while "/*" in contents:
        preComment, postComment = contents.split("/*", 1)
        contents = preComment + postComment.split("*/", 1)[1]
    return json.loads(contents)

def main():

    # config
    r = "1.0"
    g = "0.0"
    b = "0.0"
    a = "0.5"  
    subpackFolderName = 'red'
    
    path = os.path.join(os.getcwd(), 'subpacks', subpackFolderName, 'render_controllers')
    
    for fname in os.listdir(path):
        if fname.endswith(".json"):
            fpath = os.path.join(path, fname)

            with open(fpath) as json_file:
                json_decoded = get_json_from_file(json_file)

            for render_controller in json_decoded.get("render_controllers", {}).items():
                
                json_decoded.get("render_controllers", {})[render_controller[0]]["is_hurt_color"] = {
                        "r": r,
                        "g": g,
                        "b": b,
                        "a": a
                    }

                json_decoded.get("render_controllers", {})[render_controller[0]]["on_fire_color"] = {
                        "r": r,
                        "g": g,
                        "b": b,
                        "a": a
                    }

            with open(fpath, 'w') as json_file:
                json.dump(json_decoded, json_file, indent=4)
        
main()